#
# spec file for package epic (Version 1.1.10)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils bzip2 cracklib gcc gdbm gettext libtool perl rpm

Name:         epic
License:      BSD
Group:        Productivity/Networking/IRC
Provides:     ircii epic4 irciihlp
Obsoletes:    ircii epic4 irciihlp
Autoreqprov:  on
Version:      1.1.10
Release:      28
Summary:      Enhanced Programmable ircII Client
URL:          http://www.epicsol.org
Source:       ftp://ftp.epicsol.org/pub/epic/EPIC4-ALPHA/epic4-%{version}.tar.bz2
Patch:        epic4-%{version}.diff
Patch1:       epic4-%{version}-secfix.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
EPIC is an irc client almost 100% compatible with the old ircII client
from which it was derived from. Has improved scripting, better
configurability among others.



Authors:
--------
    EPIC Software Labs

%prep
%setup -n epic4-%{version}
%patch -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS -O2 -Wall" ./configure \
	--prefix=/usr \
	--mandir=%{_mandir} \
	--with-ipv6 \
	--libexecdir=/usr/lib/epic
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr libexecdir=$RPM_BUILD_ROOT/usr/lib/epic \
mandir=$RPM_BUILD_ROOT/%{_mandir} install

%files
%dir /usr/lib/epic
%dir /usr/share/epic
%dir /usr/share/epic/help
%dir /usr/share/epic/script
/usr/lib/epic/*
/usr/bin/*
/usr/share/epic/script/*
%doc %{_mandir}/man1/*

%changelog -n epic
* Thu Nov 13 2003 - mmj@suse.de
- Apply security fix (thanks Debian)
* Sun Feb 02 2003 - mmj@suse.de
- Update to 1.1.10
* Fri Nov 22 2002 - mmj@suse.de
- Fix string mangling
* Thu Sep 19 2002 - mmj@suse.de
- Up to 1.1.7 which includes IPv6 support
* Thu May 23 2002 - ro@suse.de
- added obsoletes and provides for irciihlp
* Thu May 23 2002 - ro@suse.de
- added obsoletes and provides for epic4 and ircii
* Wed May 22 2002 - mmj@suse.de
- Inital package to replace ircii.
